Subject: Re: [RFC PATCH 4/4] nfs: allow P2PDMA in direct I/O path

From: Pranjal Shrivastava <[email-masked]>
Date: Tue, 14 Apr 2026 20:00:37 +0000

On Wed, Apr 01, 2026 at 10:05:36PM -0700, Christoph Hellwig wrote:
> On Wed, Apr 01, 2026 at 07:45:00PM +0000, Pranjal Shrivastava wrote:
> > Migrate the NFS Direct I/O path from the legacy iov_iter_get_pages_alloc2()
> > API to the modern iov_iter_extract_pages() API. This migration enables
> > support for PCI Peer-to-Peer DMA (P2PDMA) by allowing the setting the
> > ITER_ALLOW_P2PDMA flag.
> > 
> > Pass ITER_ALLOW_P2PDMA to iov_iter_extract_pages() only if the local
> > mount indicates support via the NFS_CAP_P2PDMA capability bit (detected
> > at mount time for RDMA transports).
> 
> Please split theconversion to iov_iter_extract_pages into a separate
> preparation patch, and even series.  That is a long overdue change
> that fixes potential data corruption in XFS.
> 

Sure, I'll send out a series with the migration to 
iov_iter_extract_pages, should I club this with the pin-aware + folios
for direct I/O or send it as a separate series?

Thanks,
Praan